/**
 * Created by jin.zhouhang on 17-9-4 上午11:25.
 *
 * 消息提示统一处理封装
 */

const Notify = {
  install(Vue) {
    const msg = {
      suc(msg) {
        Vue.prototype.$message({message: msg, type: 'success'})
      },
      warning(msg) {
        Vue.prototype.$message({message: msg, type: 'warning'})
      },
      info(msg) {
        Vue.prototype.$message({message: msg, type: 'info'})
      },
      err(msg) {
        Vue.prototype.$message({message: msg, type: 'error'})
      }
    }

    const notify = {
      suc(title, msg) {
        Vue.prototype.$notify({
          title: title,
          message: msg,
          type: 'success'
        })
      },

      warning(title, msg) {
        Vue.prototype.$notify({
          title: title,
          message: msg,
          type: 'warning'
        })
      },

      info(title, msg) {
        Vue.prototype.$notify.info({
          title: title,
          message: msg
        })
      },

      err(title, msg) {
        Vue.prototype.$notify.error({
          title: title,
          message: msg
        })
      }
    }

    Vue.prototype.$$msg = msg
    Vue.prototype.$$notify = notify
    Vue.prototype.$$confirm = confirm
  }
}

export default Notify
